Lanterna 3 Documentation
---

## Overview
Lanterna 3 is a large, and probably final, update to the Lanterna library.
Many parts have been completely rewritten and the parts not rewritten have been touched in at least some way.
The reason for this major overhaul is to finally get it 'right' and fix up all of those API mistakes that have been highlighted
over the years, since lanterna was first published.

## Development Guide
1. [Introduction](introduction.md)
2. [Direct terminal access](using-terminal.md)
3. [Buffered screen API](using-screen.md)
4. [Text GUI](using-gui.md)

## Tutorials
1. [Tutorial 1](tutorial/Tutorial01.md) - Basic usage
2. [Tutorial 2](tutorial/Tutorial02.md) - More Terminal functionality
3. [Tutorial 3](tutorial/Tutorial03.md) - Using the Screen layer
4. [Tutorial 4](tutorial/Tutorial04.md) - Using the TextGUI layer

## Examples
### Terminal
1. [Terminal Overview](examples/terminal/overview.md)

### GUI
1. [Hello World](examples/gui/hello_world.md)
2. [A basic form with submission](examples/gui/basic_form_submission.md)
3. [Windows](examples/gui/windows.md)
4. [Panels](examples/gui/panels.md)
5. [Component sizing](examples/gui/component_sizing.md)
6. [Layout Managers](examples/gui/layout_managers.md)
7. [Labels](examples/gui/labels.md)
8. [Text boxes](examples/gui/text_boxes.md)
9. [Buttons](examples/gui/buttons.md)
10. [Combo boxes](examples/gui/combo_boxes.md)
11. [Check boxes](examples/gui/check_boxes.md)
12. [Radio boxes](examples/gui/radio_boxes.md)
13. [Action list box](examples/gui/action_list_box.md)
14. [Message dialogs](examples/gui/message_dialogs.md)
15. [Text Input dialogs](examples/gui/text_input_dialogs.md)
16. [File dialogs](examples/gui/file_dialogs.md)
17. [Directory dialogs](examples/gui/dir_dialogs.md)
18. [Action list dialogs](examples/gui/action_list_dialogs.md)
19. [Tables](examples/gui/tables.md)
20. [Menus](examples/gui/menus.md)

## Changes
1. [2.0.0](ChangesFrom1to2.md)
    1. [2.0.1](ChangesFrom200to201.md)
    1. [2.0.3](ChangesFrom201to203.md)
    1. [2.0.4](ChangesFrom203to204.md)
1. [2.1.0](ChangesFrom20Xto210.md)
    1. [2.1.1](ChangesFrom210to211.md)
    1. [2.1.2](ChangesFrom211to212.md)
    1. [2.1.3](ChangesFrom212to213.md)
    1. [2.1.5](ChangesFrom213to215.md)
    1. [2.1.6](ChangesFrom215to216.md)
    1. [2.1.7](ChangesFrom216to217.md)
    1. [2.1.8](ChangesFrom217to218.md)
    1. [2.1.9](ChangesFrom218to219.md)
1. [3.0.0](ChangesFrom2to3.md)

## About the name ##
Originally named "lantern", Google code didn't allow the project to be registered under this name since [there is already a project on SourceForce with this name](http://sourceforge.net/projects/lantern). That project hasn't been updated since 2003 though...
